Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss.soap
Class WSSOAPEnvelope

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.soap.v11.SOAPEnvelope
oracle.security.xmlsec.wss.soap.WSSOAPEnvelope`

public class WSSOAPEnvelope
extends oracle.security.xmlsec.soap.v11.SOAPEnvelope

Represents a SOAP message and allows for adding/removing wsse:WSSecurity header elements.

Current release only supports SOAP 1.1.

See Also:
  `WSSecurity`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`WSSOAPEnvelope(org.w3c.dom.Document document)` Creates a new SOAPEnvelope instance for the given owner document, but does not appended the Envelope element to the document node.
`WSSOAPEnvelope(org.w3c.dom.Element element)` Creates a SOAPEnvelope instance for the given SOAP-ENV:Envelope element.
`WSSOAPEnvelope(org.w3c.dom.Element element, java.lang.String systemId)` Creates a SOAPEnvelope instance for the given SOAP-ENV:Envelope element.

Method Summary
`void` | `addSecurity(WSSecurity security)` Adds a `WSSecurity` header to this SOAPEnvelope without a specified actor.
`void` | `addWsuIdToBody(java.lang.String id)` Adds an global wsu:Id attribute to the Body element in the SOAPEnvelope.
`static void` | `addWsuIdToElement(java.lang.String id, org.w3c.dom.Element element)` Adds a global wsu:Id attribute to the given element in this SOAPEnvelope.
`void` | `decryptAll()` Decrypts all the EncryptedData child elements and replaces the EncrypteData element with the decrypted XML result.
`java.util.List` | `getSecurity()` Returns the `Security` headers in this SOAPEnvelope with no specified actor attribute and mustUnderstand attribute set to false.
`java.util.List` | `getSecurity(java.lang.String actor)` Returns the `Security` headers in this SOAPEnvelope.
`java.util.List` | `getSecurity(java.lang.String actor, boolean mustUnderstand)` Returns the `Security` headers in this SOAPEnvelope.
`java.util.List` | `getSecuritys()` Returns the `Security` headers in this SOAPEnvelope.
`void` | `removeSecurity(WSSecurity security)` Remove the given WSSecurity header from this SOAPEnvelope.
`void` | `verifyAll()` Verifies all of the signatures in this message, following the ds:Signature and ds:Reference validation process defined in [XML-SIG].

Methods inherited from class oracle.security.xmlsec.soap.v11.SOAPEnvelope
`addBodyElement, addBodyElement, addHeaderElement, addHeaderElement, addSOAPFault, getBody, getBodyElements, getBodyElementsByTagNameNS, getHeader, getHeaderElements, getHeaderElements, getHeaderElements, getSOAPFault`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSSOAPEnvelope

    public WSSOAPEnvelope(org.w3c.dom.Element element)

  Creates a SOAPEnvelope instance for the given SOAP-ENV:Envelope element.
Parameters:
  `element` - A SOAP Envelope element.

### WSSOAPEnvelope

    public WSSOAPEnvelope(org.w3c.dom.Element element,
                          java.lang.String systemId)

  Creates a SOAPEnvelope instance for the given SOAP-ENV:Envelope element.
Parameters:
  `element` - A SOAP Envelope element.
  `systemId` - The URI string system ID for the SOAPEnvelope.

### WSSOAPEnvelope

    public WSSOAPEnvelope(org.w3c.dom.Document document)

  Creates a new SOAPEnvelope instance for the given owner document, but does not appended the Envelope element to the document node.
Parameters:
  `document` - The document context to use.

Method Detail

### addSecurity

    public void addSecurity(WSSecurity security)

  Adds a `WSSecurity` header to this SOAPEnvelope without a specified actor.
  Parameters:
    `security` - The `WSSecurity` object added.

### getSecurity

    public java.util.List getSecurity()

  Returns the `Security` headers in this SOAPEnvelope with no specified actor attribute and mustUnderstand attribute set to false.
  Returns:
    The `List` of `WSSecurity`objects present.

### getSecuritys

    public java.util.List getSecuritys()

  Returns the `Security` headers in this SOAPEnvelope.
  Returns:
    The `List` of all `WSSecurity`objects present.

### getSecurity

    public java.util.List getSecurity(java.lang.String actor)

  Returns the `Security` headers in this SOAPEnvelope.
  Parameters:
    `actor` - The specified actor.
  Returns:
    The `List` of `WSSecurity`objects present.

### getSecurity

    public java.util.List getSecurity(java.lang.String actor,
                                      boolean mustUnderstand)

  Returns the `Security` headers in this SOAPEnvelope.
  Parameters:
    `actor` - The specified actor.
    `mustUnderstand` - The mustUnderstand value.
  Returns:
    The `List` of `WSSecurity`objects present.

### removeSecurity

    public void removeSecurity(WSSecurity security)

  Remove the given WSSecurity header from this SOAPEnvelope.
  Parameters:
    `security` - The security header element to remove.

### addWsuIdToBody

    public void addWsuIdToBody(java.lang.String id)

  Adds an global wsu:Id attribute to the Body element in the SOAPEnvelope.
  Parameters:
    `id` - The global wsu identifier value.

### addWsuIdToElement

    public static void addWsuIdToElement(java.lang.String id,
                                         org.w3c.dom.Element element)

  Adds a global wsu:Id attribute to the given element in this SOAPEnvelope.
  Parameters:
    `id` - The global wsu identifier value.
    `element` - The element whose wsu:Id value will be set.

### decryptAll

    public void decryptAll()
                    throws WSSException

  Decrypts all the EncryptedData child elements and replaces the EncrypteData element with the decrypted XML result. The decryption key is obtained by resolving the KeyInfo element. The decryption key for the bottom of the EncryptedData/EncryptedKey chain is obtained using the KeyRetriever facility.
  Throws:
    `WSSException`

### verifyAll

    public void verifyAll()
                   throws WSSException

  Verifies all of the signatures in this message, following the ds:Signature and ds:Reference validation process defined in [XML-SIG].
  Throws:
    `WSSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.